<?php
/**
 * Package Cache
 *
 * description ...
 *
 * @package    Cache
 * @author
 * @copyright
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */

/**
 * Class Cache_File_Combined
 *
 * description ...
 *
 * @package    Cache
 * @version
 */
class Cache_File_Combined extends Cache_File {

  // -------------------------------------------------------------------------
  // PUBLIC
  // -------------------------------------------------------------------------

  /**
   * Function set...
   *
   * @public
   * @param string $key
   * @param mixed $data
   * @return mixed
   */
  public function set( $key, $data ) {
    $this->Data[$this->map($key)] = array(time(), $data);
  } // function set()

  /**
   * Function get...
   *
   * @public
   * @param string $key
   * @param int $timestamp
   * @return mixed
   */
  public function get( $key, $timestamp=0 ) {
    $key = $this->map($key);
    return (isset($this->Data[$key]) AND $timestamp<=$this->Data[$key][0])
         ? $this->Data[$key][1]
         : NULL;
  } // function get()

  /**
   * Function remove...
   *
   * @public
   * @param string $key
   * @return void
   */
  public function remove( $key ) {
    $key = $this->map($key);
    if (isset($this->Data[$key])) unset($this->Data[$key]);
  } // function remove()

  /**
   * Function clear...
   *
   * @public
   * @return void
   */
  public function clear() {
    $this->Data = array();
  } // function clear()

  /**
   * Class destructor saves cached data to file
   *
   * @public
   * @return void
   */
  public function __destruct() {
    file_put_contents($this->FileName(), serialize($this->Data));
  } // function __destruct()

  // -------------------------------------------------------------------------
  // PROTECTED
  // -------------------------------------------------------------------------

  /**
   * Class constructor
   *
   * @public
   * @param array $Settings
   * @return void
   */
  protected function __construct( $Settings=array() ) {
    parent::__construct($Settings);
    // load cached data
    $file = $this->FileName();
    $this->Data = file_exists($file)
                ? unserialize(file_get_contents($file))
                : array();
  } // function __construct()

  // -------------------------------------------------------------------------
  // PRIVATE
  // -------------------------------------------------------------------------

  /**
   * @var array
   */
  private $Data;

}