<?php

/**
 * Class that graps the html code of an url
 */
abstract class HTMLpage {

  /**
   *
   */
  public static $UserAgent = 'User-Agent: Mozilla/5.0(X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021204';

  /**
   *
   */
  public static $Retry = 5;

  /**
   *
   */
  public static $Debug = TRUE;

  /**
   *
   */
  public static function get( $url, &$err ) {
    $curl = curl_init($url);

    // >> Debug
    $tmp = Core::TempName();
    DebugStack::Info($url);
    DebugStack::Info('Temp. file: '.$tmp);
    if (self::$Debug) curl_setopt_array($curl, array(
      CURLOPT_STDERR          => $tmp,
      CURLOPT_VERBOSE         => TRUE,
    ));
    // << Debug

    curl_setopt_array($curl, array(
      CURLOPT_REFERER         => $url,
      CURLOPT_USERAGENT       => self::$UserAgent,
      CURLOPT_COOKIESESSION   => TRUE,
      CURLOPT_FOLLOWLOCATION  => TRUE,
      CURLOPT_AUTOREFERER     => TRUE,
      CURLOPT_RETURNTRANSFER  => TRUE,
      CURLOPT_HEADER          => FALSE,
      CURLOPT_CONNECTTIMEOUT  => 5,
      CURLOPT_TIMEOUT         => 10,
    ));

    $code = 0;
    $retry = self::$Retry;
    while ($retry-- >= 0 AND ($code == 0 OR $code >= 400 )) {
      $html = curl_exec($curl);
      $code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
      // >> Debug
      DebugStack::Debug('HTTP_CODE: '.$code);
      DebugStack::Debug(curl_getInfo($curl));
      // << Debug
    }

    // >> Debug
    if ($dbg = file_get_contents($tmp)) DebugStack::Debug($dbg);
    unlink($tmp);
    // << Debug

    if (!$html) $err = 'Curl error: ' . curl_error($curl);

    curl_close($curl);

    return $html;
  }

}

/* prior PHP 5.1.3 */
if (!function_exists('curl_setopt_array')) {
function curl_setopt_array($ch, $options) {
  foreach ($options as $key=>$option) curl_setopt($ch, $key, $option);
}
}