<?php
/**
 * Check for required PHP version
 */
if (!function_exists('spl_autoload_register'))
  throw new Exception('Yuelo autoload requires PHP 5 >= 5.1.2');

/**
 * Autoload wrapper for Yuelo classes
 *
 * @param string $class Yuelo class to require
 */
function __yuelo_autoload( $class ) {
  static $dir;
  if (!$dir) $dir = dirname(__FILE__);

  $path = $dir . DIRECTORY_SEPARATOR . str_replace('_', DIRECTORY_SEPARATOR, strtolower($class));

  foreach (array('.class.php', '.if.php') as $file) {
    $file = $path . $file;
    if (file_exists($file)) {
      require_once $file;
      return;
    }
  }

  throw new Exception('Yuelo autoload: Missing file for class "'.$class.'"');
}

/**
 * Register autoload function
 */
spl_autoload_register('__yuelo_autoload');

Yuelo::set('AutoLoad', TRUE);