<?php
/**
 * @category   Plugin
 * @package    Plugin-ModuleSupport
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Rewrite urls
 *
 * @category   Plugin
 * @package    Plugin-ModuleSupport
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Plugin_Module_Support extends esf_Plugin {

  /**
   *
   */
  function ProcessStartNotification() {
    if (!esf_User::isValid()) return;

    esf_Menu::addSystem( array( 'module' => 'support', 'id' => 99 ) );
  }

  /**
   * Output HTML here, all data filled
   */
  public function OutputStartNotification() {
    if (!Request::check('support', 'download')) return;

    $file = $_SERVER['HTTP_HOST'].'-'.date('YmdHi').'.htm';

    $style = file_get_contents('module/support/layout/default/style.css');
    if (preg_match('~/\* download >> \*/(.*?)/\* << download \*/~si', $style, $args))
      $style = $args[1];

    // parse own template
    $body = $this->Render('content.index');
    // extract infos to download
    if (preg_match('~<!-- download >> -->(.*)<!-- << download -->~si', $body, $args))
      $body = $args[1];

    $page = '<html><head><title>'.$file.'</title>'
           .'<style type="text/css">'.$style.'</style>'
           .'<meta http-equiv="Content-Type" content="text/html; charset=utf-8">'
           .'</head><body>'.$body.'</body></html>';

    // send as HTML file
    Header('Content-Type: text/html');
    Header('Content-Disposition: attachment; filename="'.$file.'"');
    Header('Content-Length: '.strlen($page));
    die($page);
  }

}

Event::attach(new esf_Plugin_Module_Support);