<?php
/**
 * @category   Plugin
 * @package    Plugin-AuctionStats
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Auction statistics
 *
 * @category   Plugin
 * @package    Plugin-AuctionStats
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Plugin_AuctionStats extends esf_Plugin {

  /**
   * Handle OutputFilterHeader
   *
   * @access private
   * @param string $output HTML to filter
   * @return void
   */
  public function OutputStartNotification() {
    if (!esf_User::isValid() OR !Request::check('auction')) return;

	  // prepare for template usage
    $data['AuctionCount'] = esf_Auctions::count();
    $data['GroupCount']   = count(esf_Auctions::$Groups);

    TplData::add('Header_Right', $this->Render('content', $data));
  }

}

Event::attach(new esf_Plugin_AuctionStats);