<?php
/**
 * @category   Plugin
 * @package    Plugin-NextAuction
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    0.1.0
 */

/**
 * Link to jump to next auction
 *
 * @category   Plugin
 * @package    Plugin-NextAuction
 * @author     Knut Kohl <knutkohl@users.sourceforge.net>
 * @copyright  2009 Knut Kohl
 * @license    http://www.gnu.org/licenses/gpl.txt GNU General Public License
 * @version    Release: @package_version@
 */
class esf_Plugin_NextAuction extends esf_Plugin {

  /**
   *
   */
  public function StartNotification() {
    $this->Active = Request::check('auction', 'index') AND esf_User::isValid();
  }

  /**
   *
   */
  public function OutputStartNotification() {
    if ($this->Active AND $this->Style == 1 AND $content = $this->content())
      Messages::addInfo($content, TRUE);
  }

  /**
   *
   */
  public function OutputFilterContentNotification( &$output ) {
    if ($this->Active AND $this->Style == 0 AND
        $data['NEXTAUCTION'] = $this->content())
      $output = $this->Render('content', $data) . $output;
  }

  //--------------------------------------------------------------------------
  // PRIVATE
  //--------------------------------------------------------------------------

  /**
   *
   */
  private $Active;

  /**
   *
   */
  private function content() {
    if (esf_Auctions::Count() < $this->Count) return FALSE;

    $time = $_SERVER['REQUEST_TIME'];
    $next = FALSE;

    foreach (esf_Auctions::$Auctions as $auction)
      // skip endless and ended auctions (endts == 0 or lower than actual time)
      if ($auction['endts']-$time > 0 AND
          (!$next OR $auction['endts'] < $next['endts']))
        $next = $auction;

    if (!$next) return FALSE;

    $prefix = 'nextauction_';
    $remain = sprintf('<tt id="%s%s">%s</tt>', $prefix, $next['item'],
                      esf_Auctions::Timef($next['endts']-$time));
    $html = Translation::get('NEXTAUCTION.MESSAGE', $next['item'], $next['name'], $remain, $next['category'])
           .'<script type="text/javascript">
             // <![CDATA[
             esf_CountDownExtra[esf_CountDownExtra.length] = "'.$prefix.'";
             // ]]>
             </script>'."\n";

    // remove empty category
    return preg_replace('~\(\s*\)~', '' ,$html);
  }

}

Event::attach(new esf_Plugin_NextAuction);