#! /bin/bash
# ----------------------------------------------------------------------------
# /tmp/install.sh - esniper installation
#
# Creation   : 2010-05-20 dr_snuggles
# Last update: $Id: install.sh 24179 2010-05-23 12:29:50Z dr_snuggles $
#
# Copyright (c) 2010 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib, check-eisfair-version
. /var/install/include/eislib
. /var/install/include/check-eisfair-version

# set package name
packageName=esniper

# ----------------------------------------------------------------------------
# Setup step 1
# ----------------------------------------------------------------------------
# Setup system specific values
case "${EISFAIR_SYSTEM}" in
    eisfair-1)  # eisfair-1 code
        required_1="libcurl -v 1.5.10"
        required_2="libgd2"
    ;;
    *)  # code for other systems
        required_1="libcurl3 -v 1.0.3"
        required_2="libgd2-noxpm"
    ;;
esac
/var/install/bin/check-package -p ${required_1} "This function needs the ${required_1} package."
retvar="${?}"
if [ "${retvar}" -eq 0 ]
then
    mecho "Ok, ${required_1} installed."
fi
/var/install/bin/check-package -p ${required_2} "This function needs the ${required_2} package."
retvar="${?}"
if [ "${retvar}" -eq 0 ]
then
    mecho "Ok, ${required_2} installed."

fi

# ----------------------------------------------------------------------------
# Add menu
# ----------------------------------------------------------------------------
/var/install/bin/add-menu setup.services.menu setup.services.${packageName}.menu "${packageName}"

# ----------------------------------------------------------------------------
# Create default config
# ----------------------------------------------------------------------------

/var/install/config.d/${packageName}-update.sh

# ----------------------------------------------------------------------------
# move old config files to /usr/local/esniper
# ----------------------------------------------------------------------------
if [ -f /tmp/${package}-bak ]
then
    archive='es-f_backup.tar.gz'
    mv -f /tmp/${packageName}-bak /usr/local/${packageName}/${archive}
fi
if [ -f /tmp/${packageName}-runDir.tar.gz ]
then
    mv -f /tmp/${packageName}-runDir.tar.gz /usr/local/${packageName}/runDir.tar.gz
fi

# ----------------------------------------------------------------------------
# Start configuration editor if necessary
# ----------------------------------------------------------------------------
. /etc/config.d/${packageName}
if [ "${START_ESNIPER}" == 'no' ]
then
    /var/install/bin/edit -apply ${packageName} "Edit ${packageName} configuration"
else
    /var/install/config.d/${packageName}.sh --quiet
fi


exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
