#! /bin/bash
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh - esniper preinstallation script
#
# Creation   : 2010-05-20 dr_snuggles
# Last update: $Id: preinstall.sh 24179 2010-05-23 12:29:50Z dr_snuggles $
#
# Copyright (c) 2010 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# set packages name
packageName=esniper

# ----------------------------------------------------------------------------
# Check for old installation
# ----------------------------------------------------------------------------
### backup old config files
if [ -f /etc/config.d/${packageName} ]
then
    . /etc/config.d/${packageName}
    if [ -d ${ESNIPER_HTML_FOLDER} ]
    then
        cd ${ESNIPER_HTML_FOLDER}
        if [ -f "config.php" ]
        then
            RUNDIR=`cat config.php | grep RUNDIR | cut -d " " -f 3 | cut -d "'" -f 2`
            echo "Backup old configuration"
            if [ -d "local" ]
            then
                tar czf /tmp/${packageName}-bak config.* .htaccess local
            else
                tar czf /tmp/${packageName}-bak config.* .htaccess
            fi
            tar czf /tmp/${packageName}-runDir.tar.gz ${RUNDIR}
        fi
    fi
fi
 

# ----------------------------------------------------------------------------
# Update system
# ----------------------------------------------------------------------------

if [ -f /var/install/deinstall/${packageName} ]
then
   sh /var/install/deinstall/${packageName} update
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
